You are not logged in.

#1 2020-11-14 18:49:39

McDragon
Member
From: Wales
Registered: 2009-05-02
Posts: 18
Website

Persistent problem importing keys

Upgrading system through terminal using yay.
Packages upgrade normally but when it comes to importing keys I get a persistent error:

==> PGP keys need importing:
 -> 8FD3D9A8D3800305A9FFF259D1742AD60D811D58, required by: spotify
 -> 1C61A2656FB57B7E4DE0F4C1FC918B335044912E, required by: dropbox
 -> EC3CBE7F607D11E663149E811D1F0DC78F173680, required by: powerpill
==> Import? [Y/n] 
:: Importing keys with gpg...
gpg: keyserver receive failed: General error
problem importing keys

Unsuccessful with the solution here: https://bbs.archlinux.org/viewtopic.php?id=257441


Martin

Offline

#2 2020-11-14 18:52:48

GaKu999
Member
From: US/Eastern
Registered: 2020-06-21
Posts: 650

Re: Persistent problem importing keys

McDragon wrote:

Upgrading system through terminal using yay.
Packages upgrade normally but when it comes to importing keys I get a persistent error:

==> PGP keys need importing:
 -> 8FD3D9A8D3800305A9FFF259D1742AD60D811D58, required by: spotify
 -> 1C61A2656FB57B7E4DE0F4C1FC918B335044912E, required by: dropbox
 -> EC3CBE7F607D11E663149E811D1F0DC78F173680, required by: powerpill
==> Import? [Y/n] 
:: Importing keys with gpg...
gpg: keyserver receive failed: General error
problem importing keys

Unsuccessful with the solution here: https://bbs.archlinux.org/viewtopic.php?id=257441

What have you done thus far? You have told nothing, and this has nothing to do with pacman.
Request move to AUR issues.


My reposSome snippets

Heisenberg might have been here.

Offline

#3 2020-11-15 13:11:38

Lone_Wolf
Member
From: Netherlands, Europe
Registered: 2005-10-04
Posts: 9,034

Re: Persistent problem importing keys

Unsuccessful with the solution here: https://bbs.archlinux.org/viewtopic.php?id=257441

That's not an error message .

you will have to add those keys to the keyring for your user.
post the content of ~/.gnupg/gpg.conf and output of

$ gpg --search-keys 8FD3D9A8D3800305A9FFF259D1742AD60D811D58

The value is copied from https://aur.archlinux.org/cgit/aur.git/ … ?h=spotify and ids the key used by tux@spotify.com .

Last edited by Lone_Wolf (2020-11-15 13:11:54)


Disliking systemd intensely, but not satisfied with alternatives so focusing on taming systemd.
Did you use the guided installer ? If yes, I can't help you.

(A works at time B)  && (time C > time B ) ≠  (A works at time C)

Offline

#4 2020-11-15 13:48:09

V1del
Forum Moderator
Registered: 2012-10-16
Posts: 12,551

Re: Persistent problem importing keys

Moving to AUR issues.

Offline

#5 2020-11-22 11:02:36

McDragon
Member
From: Wales
Registered: 2009-05-02
Posts: 18
Website

Re: Persistent problem importing keys

Lone_Wolf wrote:

Unsuccessful with the solution here: https://bbs.archlinux.org/viewtopic.php?id=257441

That's not an error message .

you will have to add those keys to the keyring for your user.
post the content of ~/.gnupg/gpg.conf and output of

$ gpg --search-keys 8FD3D9A8D3800305A9FFF259D1742AD60D811D58

The value is copied from https://aur.archlinux.org/cgit/aur.git/ … ?h=spotify and ids the key used by tux@spotify.com .

The output of ~/.gnupg/gpg.conf

no-greeting
no-permission-warning
lock-never
keyserver-options timeout=10
keyserver-options import-clean
keyserver-options no-self-sigs-only
keyserver pool.sks-keyservers.net

$ gpg --search-keys 8FD3D9A8D3800305A9FFF259D1742AD60D811D58
produces...

[mcdragon@arch ~]$ gpg --search-keys 8FD3D9A8D3800305A9FFF259D1742AD60D811D58
gpg: data source: http://185.56.33.53:11371
(1)	Spotify Public Repository Signing Key <tux@spotify.com>
	  4096 bit RSA key D1742AD60D811D58, created: 2020-09-08, expires: 2021-12-02
Keys 1-1 of 1 for "8FD3D9A8D3800305A9FFF259D1742AD60D811D58".  Enter number(s), N)ext, or Q)uit > 1
gpg: key D1742AD60D811D58: "Spotify Public Repository Signing Key <tux@spotify.com>" not changed
gpg: Total number processed: 1
gpg:              unchanged: 1

It looks like the keys are imported.
The search for the other two keys ...

Dropbox

[mcdragon@arch ~]$ gpg --search-keys 1C61A2656FB57B7E4DE0F4C1FC918B335044912E
gpg: data source: http://185.56.33.53:11371
(1)	Dropbox Automatic Signing Key <linux@dropbox.com>
	  2048 bit RSA key FC918B335044912E, created: 2010-02-11
Keys 1-1 of 1 for "1C61A2656FB57B7E4DE0F4C1FC918B335044912E".  Enter number(s), N)ext, or Q)uit > 1
gpg: key FC918B335044912E: "Dropbox Automatic Signing Key <linux@dropbox.com>" not changed
gpg: Total number processed: 1
gpg:              unchanged: 1

and for Powerpill

[mcdragon@arch ~]$ gpg --search-keys EC3CBE7F607D11E663149E811D1F0DC78F173680
gpg: data source: http://185.56.33.53:11371
(1)	Xyne. (key #3) <xyne@archlinux.ca>
	  4096 bit RSA key 1D1F0DC78F173680, created: 2013-09-15
Keys 1-1 of 1 for "EC3CBE7F607D11E663149E811D1F0DC78F173680".  Enter number(s), N)ext, or Q)uit > 1
gpg: key 1D1F0DC78F173680: "Xyne. (key #3) <xyne@archlinux.ca>" not changed
gpg: Total number processed: 1
gpg:              unchanged: 1

Martin

Offline

#6 2020-11-22 12:45:57

Lone_Wolf
Member
From: Netherlands, Europe
Registered: 2005-10-04
Posts: 9,034

Re: Persistent problem importing keys

So those keys are included in the user keyring.

Now re-run the command that gave that error, post the exact command AND full terminal output

check the green tipbox at https://wiki.archlinux.org/index.php/Li … in_clients for an easy way to upload the whole output.


Disliking systemd intensely, but not satisfied with alternatives so focusing on taming systemd.
Did you use the guided installer ? If yes, I can't help you.

(A works at time B)  && (time C > time B ) ≠  (A works at time C)

Offline

#7 2020-11-22 14:10:39

McDragon
Member
From: Wales
Registered: 2009-05-02
Posts: 18
Website

Re: Persistent problem importing keys

Thank you @Lone_Wolf

Output is here: https://pastebin.com/jRVbUjVJ


Martin

Offline

#8 2020-11-22 14:21:05

Lone_Wolf
Member
From: Netherlands, Europe
Registered: 2005-10-04
Posts: 9,034

Re: Persistent problem importing keys

aur/yay                                 10.0.2-1             -> 10.1.1-1

Looks like you're not using the latest version of yay.
Update yay to 10.1.1-1 first, then try again.


Disliking systemd intensely, but not satisfied with alternatives so focusing on taming systemd.
Did you use the guided installer ? If yes, I can't help you.

(A works at time B)  && (time C > time B ) ≠  (A works at time C)

Offline

#9 2020-11-22 21:09:19

McDragon
Member
From: Wales
Registered: 2009-05-02
Posts: 18
Website

Re: Persistent problem importing keys

Thank you.
Wasn't sure why yay wasn't being updated by itself of through pacman.
Used manual install via git and now version verified t be up to date:

[mcdragon@arch yay]$ yay --version
yay v10.1.1 - libalpm v12.0.2

However still getting the same issue


Martin

Offline

#10 2020-11-23 10:52:00

Lone_Wolf
Member
From: Netherlands, Europe
Registered: 2005-10-04
Posts: 9,034

Re: Persistent problem importing keys

Let's verify if your sytem is setup correctly to build packages with keys.

git clone latest version of one of the packages (like spotify) and build it with makepkg .


Disliking systemd intensely, but not satisfied with alternatives so focusing on taming systemd.
Did you use the guided installer ? If yes, I can't help you.

(A works at time B)  && (time C > time B ) ≠  (A works at time C)

Offline

#11 2020-11-28 17:04:10

McDragon
Member
From: Wales
Registered: 2009-05-02
Posts: 18
Website

Re: Persistent problem importing keys

I might have forgotten to mention I already tried this but for the sake of it tried it again. There is no Git repository so I uninstalled it with

yay -Rns spotify

and re-installed it with

yay -S spotify

but still has a problem with importing the GPG key

https://pastebin.com/raw/ZdVCTaiq


Martin

Offline

#12 2020-11-28 17:06:21

Scimmia
Bug Wrangler
Registered: 2012-09-01
Posts: 8,426

Re: Persistent problem importing keys

step 1: ALWAYS do it without a helper if you have problems. That's what Lone_Wolf told you to do, and you come back with yay, so we went nowhere.

Edit:

Wasn't sure why yay wasn't being updated by itself of through pacman.

MASSIVE red flag here. Why would pacman update yay, which is in the AUR?

Last edited by Scimmia (2020-11-28 17:08:39)

Offline

#13 2020-11-28 17:27:26

McDragon
Member
From: Wales
Registered: 2009-05-02
Posts: 18
Website

Re: Persistent problem importing keys

Come to arch they said. Its a great os and has lots of support on forums they said. You won't find self-righteous know-it-alls anywhere there. Oh no. Wouldn't you agree Scimmia?
Meanwhile even the aur package maintainer's solution doesn't seem to work.
Great os indeed. Will have to go back to debian.


Martin

Offline

#14 2020-11-28 17:48:42

loqs
Member
Registered: 2014-03-06
Posts: 13,188

Re: Persistent problem importing keys

McDragon wrote:

Meanwhile even the aur package maintainer's solution doesn't seem to work.

Do you mean pacman or an AUR helper?  AUR helpers are not supported as is documented on the wiki.

Offline

#15 2020-11-28 17:50:21

GaKu999
Member
From: US/Eastern
Registered: 2020-06-21
Posts: 650

Re: Persistent problem importing keys

McDragon wrote:

Come to arch they said. Its a great os and has lots of support on forums they said. You won't find self-righteous know-it-alls anywhere there. Oh no. Wouldn't you agree Scimmia?

There is a great support, and rules as well.
You simply aren't respecting the rules, and hitting the wall with ye head.

...

In any case, this is starting to look like a TGN, can we NOT worsen it?
Try with the ArchWay of building a PKGBUILD from the AUR. (with makepkg)

EDIT: *insert chorus* loqs is a ninja loqs is a ninja oooh loqs you ninja tongue

Last edited by GaKu999 (2020-11-28 17:53:03)


My reposSome snippets

Heisenberg might have been here.

Offline

#16 2020-11-28 18:28:30

Scimmia
Bug Wrangler
Registered: 2012-09-01
Posts: 8,426

Re: Persistent problem importing keys

McDragon wrote:

Come to arch they said. Its a great os and has lots of support on forums they said. You won't find self-righteous know-it-alls anywhere there. Oh no. Wouldn't you agree Scimmia?
Meanwhile even the aur package maintainer's solution doesn't seem to work.
Great os indeed. Will have to go back to debian.

So you were told specifically to try it with makepkg. You ignore that and do the same thing you've been doing which you know doesn't work. Then you get offended when someone points it out?
Debian sounds like a fine choice, you won't be missed.

Offline

#17 2020-11-28 19:04:04

McDragon
Member
From: Wales
Registered: 2009-05-02
Posts: 18
Website

Re: Persistent problem importing keys

Scimmia wrote:
McDragon wrote:

Come to arch they said. Its a great os and has lots of support on forums they said. You won't find self-righteous know-it-alls anywhere there. Oh no. Wouldn't you agree Scimmia?
Meanwhile even the aur package maintainer's solution doesn't seem to work.
Great os indeed. Will have to go back to debian.

So you were told specifically to try it with makepkg. You ignore that and do the same thing you've been doing which you know doesn't work. Then you get offended when someone points it out?
Debian sounds like a fine choice, you won't be missed.

And there you go. Exactly why they say why arch might be a problem, full of arrogant people who are intolerant of not having the same level of understanding than themselves. Have worked in linux for many years but arch does seem different to debian or fedora. You sir are the epiphany of what is wrong with linux and arch in particular.
And I do nto intend to be lectured that I didn't do what I wa advised. So far have done what Lone_Wolf who is far better at giving advice than you. The issue was that wasn't sure how to get the correct git location for dropbox.

If anyone else is reading this and still wants to stay on arch, try snapd to install spotify. Will have better luck.


Martin

Offline

#18 2020-11-28 19:08:46

loqs
Member
Registered: 2014-03-06
Posts: 13,188

Re: Persistent problem importing keys

McDragon wrote:

So far have done what Lone_Wolf who is far better at giving advice than you.

From post #10

Lone_Wolf wrote:

Let's verify if your sytem is setup correctly to build packages with keys.

git clone latest version of one of the packages (like spotify) and build it with makepkg .

From post #11

McDragon wrote:

I might have forgotten to mention I already tried this but for the sake of it tried it again. There is no Git repository so I uninstalled it with

yay -Rns spotify

and re-installed it with

yay -S spotify

but still has a problem with importing the GPG key

https://pastebin.com/raw/ZdVCTaiq

You were following Lone_Wolf up until that point but certainly not for post #10.

Offline

#19 2020-11-28 19:09:00

McDragon
Member
From: Wales
Registered: 2009-05-02
Posts: 18
Website

Re: Persistent problem importing keys

loqs wrote:
McDragon wrote:

Meanwhile even the aur package maintainer's solution doesn't seem to work.

Do you mean pacman or an AUR helper?  AUR helpers are not supported as is documented on the wiki.

AUR : https://aur.archlinux.org/packages/spotify/

Pinned comment advising to fix GPG key issue with

curl -sS https://download.spotify.com/debian/pubkey_0D811D58.gpg | gpg --import -

Martin

Offline

#20 2020-11-28 19:16:42

loqs
Member
Registered: 2014-03-06
Posts: 13,188

Re: Persistent problem importing keys

git clone https://aur.archlinux.org/spotify.git
Cloning into 'spotify'...
remote: Enumerating objects: 354, done.
remote: Counting objects: 100% (354/354), done.
remote: Compressing objects: 100% (221/221), done.
remote: Total 354 (delta 132), reused 350 (delta 130), pack-reused 0
Receiving objects: 100% (354/354), 145.05 KiB | 1.24 MiB/s, done.
Resolving deltas: 100% (132/132), done.
cd spotify/
gpg --search-keys D1742AD60D811D58
gpg: data source: http://4.35.226.103:11371
(1)	Spotify Public Repository Signing Key <tux@spotify.com>
	  4096 bit RSA key D1742AD60D811D58, created: 2020-09-08, expires: 2021-12-02
Keys 1-1 of 1 for "D1742AD60D811D58".  Enter number(s), N)ext, or Q)uit > 1
gpg: key D1742AD60D811D58: public key "Spotify Public Repository Signing Key <tux@spotify.com>" imported
gpg: Total number processed: 1
gpg:               imported: 1
extra-x86_64-build 
:: Synchronizing package databases...
 core is up to date
 extra is up to date
 community is up to date
:: Starting full system upgrade...
 there is nothing to do
==> Building in chroot for [extra] (x86_64)...
==> Synchronizing chroot copy [/var/lib/archbuild/extra-x86_64/root] -> [builduser]...done
==> Making package: spotify 1:1.1.42.622-2 (Sat Nov 28 19:11:48 2020)
==> Retrieving sources...
  -> Found spotify.protocol
  -> Found LICENSE
  -> Found spotify-1.1.42.622-Release
  -> Found spotify-1.1.42.622-Release.sig
  -> Found spotify-1.1.42.622-x86_64.deb
  -> Found spotify-1.1.42.622-x86_64-Packages
==> Validating source files with sha512sums...
    spotify.protocol ... Passed
    LICENSE ... Passed
    spotify-1.1.42.622-Release ... Skipped
    spotify-1.1.42.622-Release.sig ... Skipped
==> Validating source_x86_64 files with sha512sums...
    spotify-1.1.42.622-x86_64.deb ... Passed
    spotify-1.1.42.622-x86_64-Packages ... Passed
==> Verifying source file signatures with gpg...
    spotify-1.1.42.622-Release ... Passed
==> Making package: spotify 1:1.1.42.622-2 (Sat 28 Nov 2020 07:11:51 PM)
==> Checking runtime dependencies...
==> Installing missing dependencies...
resolving dependencies...
looking for conflicting packages...
warning: dependency cycle detected:
warning: harfbuzz will be installed before its freetype2 dependency

Packages (53) alsa-topology-conf-1.2.4-2  alsa-ucm-conf-1.2.4-2  at-spi2-core-2.38.0-1  atk-2.36.0-1  avahi-0.8+15+ge8a3dd0-1  cairo-1.17.2+25+gaee96d175-1  dbus-1.12.20-1
              fontconfig-2:2.13.91+48+gfcb0420-2  freetype2-2.10.4-1  fribidi-1.0.10-1  gdk-pixbuf2-2.42.0-2  graphite-1:1.3.14-1  gtk-update-icon-cache-1:3.24.23-4  harfbuzz-2.7.2-1
              hicolor-icon-theme-0.17-2  libcups-1:2.3.3op1-1  libdaemon-0.14-5  libdatrie-0.2.12-2  libjpeg-turbo-2.0.6-1  libpng-1.6.37-3  librsvg-2:2.50.2-1  libthai-0.1.28-2
              libtiff-4.1.0-2  libusb-1.0.23-3  libx11-1.7.0-1  libxau-1.0.9-3  libxcb-1.14-1  libxcomposite-0.4.5-3  libxcursor-1.2.0-2  libxdamage-1.1.5-3  libxdmcp-1.1.3-3
              libxext-1.3.4-3  libxfixes-5.0.3-4  libxft-2.3.3-2  libxi-1.7.10-3  libxinerama-1.1.4-3  libxrandr-1.5.2-3  libxrender-0.9.10-4  libxtst-1.2.3-4  lzo-2.10-3  nspr-4.29-1
              pango-1:1.48.0-1  pixman-0.40.0-1  shared-mime-info-2.0+1+g6bf9e4f-2  xcb-proto-1.14.1-1  xorgproto-2020.1-1  alsa-lib-1.2.4-3  at-spi2-atk-2.38.0-1  desktop-file-utils-0.26-1
              gtk2-2.24.32-2  libcurl-gnutls-7.73.0-1  libxss-1.2.3-3  nss-3.59-1

Total Download Size:     0.52 MiB
Total Installed Size:  111.88 MiB

:: Proceed with installation? [Y/n] 
:: Retrieving packages...
 libcups-1:2.3.3op1-1-x86_64                                                           289.8 KiB  1255 KiB/s 00:00 [####################################################################] 100%
 libcurl-gnutls-7.73.0-1-x86_64                                                        237.9 KiB  1629 KiB/s 00:00 [####################################################################] 100%
(53/53) checking keys in keyring                                                                                   [####################################################################] 100%
(53/53) checking package integrity                                                                                 [####################################################################] 100%
(53/53) loading package files                                                                                      [####################################################################] 100%
(53/53) checking for file conflicts                                                                                [####################################################################] 100%
:: Processing package changes...
( 1/53) installing alsa-topology-conf                                                                              [####################################################################] 100%
( 2/53) installing alsa-ucm-conf                                                                                   [####################################################################] 100%
( 3/53) installing alsa-lib                                                                                        [####################################################################] 100%
( 4/53) installing atk                                                                                             [####################################################################] 100%
( 5/53) installing libdatrie                                                                                       [####################################################################] 100%
( 6/53) installing libthai                                                                                         [####################################################################] 100%
( 7/53) installing libpng                                                                                          [####################################################################] 100%
( 8/53) installing xcb-proto                                                                                       [####################################################################] 100%
( 9/53) installing libxdmcp                                                                                        [####################################################################] 100%
(10/53) installing libxau                                                                                          [####################################################################] 100%
(11/53) installing libxcb                                                                                          [####################################################################] 100%
(12/53) installing xorgproto                                                                                       [####################################################################] 100%
(13/53) installing libx11                                                                                          [####################################################################] 100%
(14/53) installing libxrender                                                                                      [####################################################################] 100%
(15/53) installing libxext                                                                                         [####################################################################] 100%
(16/53) installing graphite                                                                                        [####################################################################] 100%
(17/53) installing harfbuzz                                                                                        [####################################################################] 100%
Optional dependencies for harfbuzz
    cairo: hb-view program [pending]
(18/53) installing freetype2                                                                                       [####################################################################] 100%
(19/53) installing fontconfig                                                                                      [####################################################################] 100%
Rebuilding fontconfig cache... done.
(20/53) installing pixman                                                                                          [####################################################################] 100%
(21/53) installing lzo                                                                                             [####################################################################] 100%
(22/53) installing cairo                                                                                           [####################################################################] 100%
(23/53) installing libxft                                                                                          [####################################################################] 100%
(24/53) installing fribidi                                                                                         [####################################################################] 100%
(25/53) installing pango                                                                                           [####################################################################] 100%
(26/53) installing libxfixes                                                                                       [####################################################################] 100%
(27/53) installing libxcursor                                                                                      [####################################################################] 100%
Optional dependencies for libxcursor
    gnome-themes-standard: fallback icon theme
(28/53) installing libxinerama                                                                                     [####################################################################] 100%
(29/53) installing libxrandr                                                                                       [####################################################################] 100%
(30/53) installing libxi                                                                                           [####################################################################] 100%
(31/53) installing libxcomposite                                                                                   [####################################################################] 100%
(32/53) installing libxdamage                                                                                      [####################################################################] 100%
(33/53) installing shared-mime-info                                                                                [####################################################################] 100%
(34/53) installing libjpeg-turbo                                                                                   [####################################################################] 100%
Optional dependencies for libjpeg-turbo
    java-runtime>11: for TurboJPEG Java wrapper
(35/53) installing libtiff                                                                                         [####################################################################] 100%
Optional dependencies for libtiff
    freeglut: for using tiffgt
(36/53) installing libdaemon                                                                                       [####################################################################] 100%
(37/53) installing dbus                                                                                            [####################################################################] 100%
(38/53) installing avahi                                                                                           [####################################################################] 100%
Optional dependencies for avahi
    gtk3: avahi-discover, avahi-discover-standalone, bshell, bssh, bvnc
    qt5-base: qt5 bindings
    libevent: libevent bindings
    nss-mdns: NSS support for mDNS
    python-twisted: avahi-bookmarks
    python-gobject: avahi-bookmarks, avahi-discover
    python-dbus: avahi-bookmarks, avahi-discover
(39/53) installing libusb                                                                                          [####################################################################] 100%
(40/53) installing libcups                                                                                         [####################################################################] 100%
(41/53) installing gdk-pixbuf2                                                                                     [####################################################################] 100%
(42/53) installing librsvg                                                                                         [####################################################################] 100%
(43/53) installing hicolor-icon-theme                                                                              [####################################################################] 100%
(44/53) installing gtk-update-icon-cache                                                                           [####################################################################] 100%
(45/53) installing desktop-file-utils                                                                              [####################################################################] 100%
(46/53) installing gtk2                                                                                            [####################################################################] 100%
Optional dependencies for gtk2
    gnome-themes-standard: Default widget theme
    adwaita-icon-theme: Default icon theme
    python2: gtk-builder-convert
(47/53) installing libxss                                                                                          [####################################################################] 100%
(48/53) installing nspr                                                                                            [####################################################################] 100%
(49/53) installing nss                                                                                             [####################################################################] 100%
(50/53) installing libxtst                                                                                         [####################################################################] 100%
(51/53) installing at-spi2-core                                                                                    [####################################################################] 100%
Optional dependencies for at-spi2-core
    dbus-broker: Alternative bus implementation
(52/53) installing at-spi2-atk                                                                                     [####################################################################] 100%
(53/53) installing libcurl-gnutls                                                                                  [####################################################################] 100%
:: Running post-transaction hooks...
(1/6) Reloading system bus configuration...
call to execv failed (No such file or directory)
error: command failed to execute correctly
(2/6) Probing GDK-Pixbuf loader modules...
(3/6) Probing GTK2 input method modules...
(4/6) Updating icon theme caches...
(5/6) Updating the desktop file MIME type cache...
(6/6) Updating the MIME type database...
==> Checking buildtime dependencies...
==> Retrieving sources...
  -> Found spotify.protocol
  -> Found LICENSE
  -> Found spotify-1.1.42.622-Release
  -> Found spotify-1.1.42.622-Release.sig
  -> Found spotify-1.1.42.622-x86_64.deb
  -> Found spotify-1.1.42.622-x86_64-Packages
==> WARNING: Skipping all source file integrity checks.
==> Extracting sources...
  -> Extracting spotify-1.1.42.622-x86_64.deb with bsdtar
==> Starting prepare()...
spotify-1.1.42.622-x86_64-Packages: OK
spotify-1.1.42.622-x86_64.deb: OK
==> Entering fakeroot environment...
==> Starting package()...
==> Tidying install...
  -> Removing libtool files...
  -> Purging unwanted files...
  -> Removing static library files...
  -> Compressing man and info pages...
==> Checking for packaging issues...
==> Creating package "spotify"...
  -> Generating .PKGINFO file...
  -> Generating .BUILDINFO file...
  -> Generating .MTREE file...
  -> Compressing package...
==> Leaving fakeroot environment.
==> Finished making: spotify 1:1.1.42.622-2 (Sat 28 Nov 2020 07:12:57 PM GMT)
==> Installing package spotify with pacman -U...
loading packages...
resolving dependencies...
looking for conflicting packages...

Packages (1) spotify-1:1.1.42.622-2

Total Installed Size:  277.44 MiB

:: Proceed with installation? [Y/n] 
(1/1) checking keys in keyring                                                                                     [####################################################################] 100%
(1/1) checking package integrity                                                                                   [####################################################################] 100%
(1/1) loading package files                                                                                        [####################################################################] 100%
(1/1) checking for file conflicts                                                                                  [####################################################################] 100%
:: Processing package changes...
(1/1) installing spotify                                                                                           [####################################################################] 100%
Optional dependencies for spotify
    ffmpeg-compat-57: Adds support for playback of local files
    zenity: Adds support for importing local files
    libnotify: Desktop notifications
:: Running post-transaction hooks...
(1/2) Updating icon theme caches...
(2/2) Updating the desktop file MIME type cache...
resolving dependencies...
looking for conflicting packages...

Packages (6) libnsl-1.3.0-1  licenses-20200427-1  pyalpm-0.9.1-2  python-3.8.6-1  python-pyelftools-0.26-1  namcap-3.2.10-1

Total Installed Size:  80.26 MiB

:: Proceed with installation? [Y/n] 
(6/6) checking keys in keyring                                                                                     [####################################################################] 100%
(6/6) checking package integrity                                                                                   [####################################################################] 100%
(6/6) loading package files                                                                                        [####################################################################] 100%
(6/6) checking for file conflicts                                                                                  [####################################################################] 100%
:: Processing package changes...
(1/6) installing libnsl                                                                                            [####################################################################] 100%
(2/6) installing python                                                                                            [####################################################################] 100%
Optional dependencies for python
    python-setuptools
    python-pip
    sqlite [installed]
    mpdecimal: for decimal
    xz: for lzma [installed]
    tk: for tkinter
(3/6) installing pyalpm                                                                                            [####################################################################] 100%
(4/6) installing licenses                                                                                          [####################################################################] 100%
(5/6) installing python-pyelftools                                                                                 [####################################################################] 100%
(6/6) installing namcap                                                                                            [####################################################################] 100%
Checking PKGBUILD
PKGBUILD (spotify) W: Reference to x86_64 should be changed to $CARCH
PKGBUILD (spotify) W: Reference to x86_64 should be changed to $CARCH
PKGBUILD (spotify) W: Non standard variable 'depends_i686' doesn't start with an underscore
Checking spotify-1:1.1.42.622-2-x86_64.pkg.tar.zst
spotify E: ELF files outside of a valid path ('opt/').
spotify W: ELF file ('opt/spotify/spotify') lacks FULL RELRO, check LDFLAGS.
spotify W: ELF file ('opt/spotify/spotify') lacks PIE.
spotify W: unneeded dependency on a package run when needed by hooks.
spotify W: Referenced library 'libcurl-gnutls.so.4' is an uninstalled dependency
spotify W: Referenced library 'libICE.so.6' is an uninstalled dependency
spotify W: Referenced library 'libSM.so.6' is an uninstalled dependency
spotify W: Referenced library 'libdrm.so.2' is an uninstalled dependency
spotify W: Referenced library 'libcef.so' is an uninstalled dependency
spotify W: Referenced library 'libgbm.so.1' is an uninstalled dependency
spotify W: Unused shared library '/usr/lib/librt.so.1' by file ('opt/spotify/libGLESv2.so')
spotify W: Unused shared library '/usr/lib/librt.so.1' by file ('opt/spotify/libcef.so')
spotify W: Unused shared library '/usr/lib/librt.so.1' by file ('opt/spotify/spotify')
spotify W: Unused shared library '/usr/lib/libXext.so.6' by file ('opt/spotify/spotify')
spotify W: Unused shared library '/usr/lib/libgdk-x11-2.0.so.0' by file ('opt/spotify/spotify')
spotify W: Unused shared library '/usr/lib/libatk-1.0.so.0' by file ('opt/spotify/spotify')
spotify W: Unused shared library '/usr/lib/libpangoft2-1.0.so.0' by file ('opt/spotify/spotify')
spotify W: Unused shared library '/usr/lib/libpangocairo-1.0.so.0' by file ('opt/spotify/spotify')
spotify W: Unused shared library '/usr/lib/libcairo.so.2' by file ('opt/spotify/spotify')
spotify W: Unused shared library '/usr/lib/libpango-1.0.so.0' by file ('opt/spotify/spotify')
spotify W: Unused shared library '/usr/lib/libfontconfig.so.1' by file ('opt/spotify/spotify')
spotify W: Unused shared library '/usr/lib/libfreetype.so.6' by file ('opt/spotify/spotify')
spotify W: Dependency desktop-file-utils included but already satisfied
spotify W: Dependency openssl included but already satisfied
spotify W: Dependency included and not needed ('libcurl-gnutls')
==> Running checkpkg
error: target not found: spotify
==> WARNING: Skipped checkpkg due to missing repo packages

Built in a clean chroot using extra-x86_64-build  to keep it seperate from my current installation.
Edit:
To check the source integrity,  it can be simplified to

makepkg --verifysource
==> Making package: spotify 1:1.1.42.622-2 (Sat 28 Nov 2020 19:38:34)
==> Retrieving sources...
  -> Found spotify.protocol
  -> Found LICENSE
  -> Found spotify-1.1.42.622-Release
  -> Found spotify-1.1.42.622-Release.sig
  -> Found spotify-1.1.42.622-x86_64.deb
  -> Found spotify-1.1.42.622-x86_64-Packages
==> Validating source files with sha512sums...
    spotify.protocol ... Passed
    LICENSE ... Passed
    spotify-1.1.42.622-Release ... Skipped
    spotify-1.1.42.622-Release.sig ... Skipped
==> Validating source_x86_64 files with sha512sums...
    spotify-1.1.42.622-x86_64.deb ... Passed
    spotify-1.1.42.622-x86_64-Packages ... Passed
==> Verifying source file signatures with gpg...
    spotify-1.1.42.622-Release ... Passed

Last edited by loqs (2020-11-28 19:39:13)

Offline

#21 2020-11-28 22:41:53

ewaller
Administrator
From: Pasadena, CA
Registered: 2009-07-13
Posts: 17,698

Re: Persistent problem importing keys

McDragon wrote:

Come to arch they said. Its a great os and has lots of support on forums they said. You won't find self-righteous know-it-alls anywhere there. Oh no. Wouldn't you agree Scimmia?
Meanwhile even the aur package maintainer's solution doesn't seem to work.
Great os indeed. Will have to go back to debian.

First, that is not a reasonable manner of responding to a member of the Arch Linux Staff; that will get you nowhere fast.  Their post was absolutely correct, and was focused on what you are doing.  Your response was an ad hominem attack on them.

Furthermore, I assume they are concerned, as I am, that yay is in a repository on your system .  If true, it is indicative you are not running Arch Linux in the first place.

If you want help, comply with requests.  If not, we don't care.  Truly.


Nothing is too wonderful to be true, if it be consistent with the laws of nature -- Michael Faraday
Sometimes it is the people no one can imagine anything of who do the things no one can imagine. -- Alan Turing
---
How to Ask Questions the Smart Way

Offline

Board footer

Powered by FluxBB